## rrdtool 1.0.49

=== contrib/php3/Makefile ===
# code by Joey Miller <joeym@inficad.com>
#
#
# BEFORE COMPILING YOU MUST SET THE VARIABLES BELOW
# TO INDICATE THE CORRECT DIRECTORIES!!!!!!!!!!!!!!!!!!!!!
#
#
# USE AT YOUR OWN RISK!
#

## begin configurable vars

## PHPINCLUDE -- the directory where php is untarred
##
PHPINCLUDE =  -I/usr/home/joeym/apache_build/php-3.0.14

## PHPLIBS -- the directory where you can find some of the PHP objects
## and compiled libs (the directory where php is untarred, and
## has already been compiled!
##
PHPLIBS    =  /usr/home/joeym/apache_build/php-3.0.14

## RRDINCLUDE, GDINCLUDE -- where to find some of the header
## files needed by rrdtool and it's libs
##
RRDINCLUDE =  -I/usr/home/joeym/newshit/rrdtool-1.0.10/src
GDINCLUDE  =  -I/usr/home/joeym/newshit/rrdtool-1.0.10/gd1.3

## RRDLIB -- where to find librrd.a (usually /usr/local/rrdtool-1.0.10/lib)
RRDLIB	   =	/usr/local/rrdtool-1.0.10/lib

#
# if php is compiled as an apache module
#
APACHEINC = -I/var/www/include



###### end primary config vars  .. change the vars below only
###### if you need to
######




CFLAGS	= -O -fpic
CC	= gcc

CXX	= g++
CXXFLAGS= $(CFLAGS)

LD	= cc
LDFLAGS	= -shared

RM	= /bin/rm

OBJS    =  php3_rrdtool.o
CFLAGS	:= $(CFLAGS) -I../lib $(PHPINCLUDE) $(APACHEINC) $(RRDINCLUDE) $(GDINCLUDE)
CXXFLAGS:= $(CXXFLAGS) -I../lib $(PHPINCLUDE) $(APACHEINC) $(RRDINCLUDE) $(GDINCLUDE)
LIBS	:= -L$(RRDLIB) -L$(PHPLIBS) -lrrd 

all: php3_rrdtool.so

php3_rrdtool.so: $(OBJS)
	$(LD) $(LDFLAGS) $(OBJS) -o $@ $(LIBS)

clean:
	$(RM) *.o
	$(RM) *.so
	
veryclean: clean
	$(RM) *~

## rrdtool 1.2.11-0.6ubuntu1

=== debian/changelog ===
rrdtool (1.2.11-0.6ubuntu1) edgy; urgency=low

  * Sync with Debian
  * Remaining Ubuntu changes:
    - rrdtool-tcl.in: install pkgIndex.tcl

 -- Brandon Hale <brandon@ubuntu.com>  Sun,  9 Jul 2006 06:17:37 -0400

rrdtool (1.2.11-0.6) unstable; urgency=low

  * Convert to updated Python policy. Closes: #373379.

 -- Matthias Klose <doko@debian.org>  Sun, 18 Jun 2006 03:07:38 +0000

rrdtool (1.2.11-0.5ubuntu3) dapper; urgency=low

  * Reinstate usr/lib/tclrrd1.2.11/pkgIndex.tcl in rrdtool-tcl
    - Closes Malone #34095

 -- Brandon Hale <brandon@ubuntu.com>  Sat, 11 Mar 2006 08:25:27 -0500

rrdtool (1.2.11-0.5ubuntu2) dapper; urgency=low

  * Drop python2.3 package.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Feb 2006 14:18:06 +0000

rrdtool (1.2.11-0.5ubuntu1) dapper; urgency=low

  * debian/control: changed the ttf-dejavu dep to >=2.1-0ubuntu1 

 -- Stephan Hermann <sh@sourcecode.de>  Wed, 11 Jan 2006 17:36:15 +0100

rrdtool (1.2.11-0.5) unstable; urgency=low

  * NMU.
  * Fix the path to the ttf-deja font and version librrd2 dependance on
    ttf-dejavu.

 -- Laurent Fousse <laurent@komite.net>  Mon,  9 Jan 2006 17:57:20 +0100

rrdtool (1.2.11-0.4) unstable; urgency=low

  * NMU.
  * Tighten the dependency of the binary packages on librrd2 to assert the use 
    of a recent version depending on ttf-dejavu.
  * Fix 'rrdtool restore', replace the workaround from 1.2.11-0.3 with a patch
    from the upstream repository.  Closes: #323771.
  * Set the priority of the language bindings, which only depend on librrd2,
    to optional, as aleady done for python-rrd (rrdtool-tcl, librrds-perl).
    Closes: #240369.

 -- Matthias Klose <doko@debian.org>  Sun, 18 Sep 2005 06:04:13 +0000

rrdtool (1.2.11-0.3) unstable; urgency=low

  * NMU.
  * Don't include own copy of ttf-dejavu font file, depend on ttf-dejavu.
    Patch by Jeremy Bobbio. Closes: #323975.
  * README.Debian: Add link to upstream contrib directory (closes: #323969).
  * NEWS: Install into librrd2{,-dev} as well (closes: #325708).
  * librrd[ps]-perl: Add README to locate the example files (closes: #323611).

 -- Matthias Klose <doko@debian.org>  Tue, 13 Sep 2005 11:03:47 +0000

rrdtool (1.2.11-0.2) unstable; urgency=low

  * librrd2-dev: Add conflict/replaces to librrd0 (.la) file.
    Closes: #323355.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Aug 2005 11:42:00 +0200

rrdtool (1.2.11-0.1) unstable; urgency=low

  * NMU.
  * New upstream version.
    - Fix FTBFS on amd64 (closes: #294623).
    - Fix rrdcgi not handling quotes (closes: #243794).
    - Fix rrdcgi concatenation problem (closes: #232556).
    - New soname for the librrd library (closes: #309346).
  * Use debhelper V4.
  * Build-depend on libart2.0-dev, libfreetype6-dev.
  * Remove build dependencies on gd2 libs. (closes: #261752, #289003).
  * Build python bindings from this source, add Matthias Urlichs as uploader.
  * debian/copyright: Remove the paragraph "Modifications to upstream source",
    no modifications with this upload.
  * Remove empty files from examples directory (closes: #281194).
  * Build-depend on fixed cgilib (>= 0.5-4.1).

 -- Matthias Klose <doko@debian.org>  Sun, 14 Aug 2005 17:30:00 +0200

rrdtool (1.0.49-1) unstable; urgency=low

  * New upstream release
  * librrd0 conflicts with older rrdtool, librrds-perl due to libpng
    incompatibility (Closes: #252271)
  * Change depends on librrd0-dev to -noxpm variant as well
  * Update depends on rrdtool-tcl to tcl8.4

 -- Matt Zimmerman <mdz@debian.org>  Thu,  4 Nov 2004 17:48:45 -0800

rrdtool (1.0.48-3) unstable; urgency=low

  * Placate disk space fascists by building with the -noxpm variant of libgd2
    (Closes: #261752)
  * Require a version of libgd which has GIF support restored (2.0.28)
    (Closes: #265660)

 -- Matt Zimmerman <mdz@debian.org>  Sat,  9 Oct 2004 11:43:06 -0700

rrdtool (1.0.48-2) unstable; urgency=low

  * Build against libgd2, since it now provides gif support as libgd-gif1
    did, and avoids a conflict with programs which link against both
    librrd and libgd2, such as php4-rrdtool (Closes: #261323)
    - Build-Depends: s/libgd-gif1-dev/libgd2-xpm-dev/
    - librrd0-dev Depends: likewise
  * Add libc-dev as an alternative in librrd0-dev's libc6-dev dependency

 -- Matt Zimmerman <mdz@debian.org>  Sat, 24 Jul 2004 23:57:17 -0700

rrdtool (1.0.48-1) unstable; urgency=low

  * New upstream release (Closes: #256795)

 -- Matt Zimmerman <mdz@debian.org>  Sun,  4 Jul 2004 01:40:30 -0700

rrdtool (1.0.46-3) unstable; urgency=low

  * Add dependencies to librrd0-dev to ensure that static linking is
    possible: libgd-gif1-dev, zlib1g-dev
  * #include <stdio.h> in rrd.h (Closes: #238849)
  * Only link rrdcgi with -lcgi, not librrd

 -- Matt Zimmerman <mdz@debian.org>  Fri, 19 Mar 2004 11:38:39 -0800

rrdtool (1.0.46-2) unstable; urgency=medium

  * Fix tcl module installation (Closes: #231171)

 -- Matt Zimmerman <mdz@debian.org>  Wed,  4 Feb 2004 15:35:46 -0800

rrdtool (1.0.46-1) unstable; urgency=low

  * New upstream release

 -- Matt Zimmerman <mdz@debian.org>  Mon, 12 Jan 2004 23:22:09 -0800

rrdtool (1.0.45-1) unstable; urgency=low

  * New upstream release
  * Deal with changed tclrrd naming scheme
  * Build with tcl8.4
  * Remove old dpkg-dev build-dependency; even woody is new enough

 -- Matt Zimmerman <mdz@debian.org>  Wed, 17 Dec 2003 14:09:11 -0800

rrdtool (1.0.42-2) unstable; urgency=low

  * Build-Depends: libpng12-dev instead of libpng3-dev (when will the madness end?)
    (Closes: #195224
     I hope this will also fix weird version mismatch problems (Closes: #194900)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 31 May 2003 15:06:42 -0400

rrdtool (1.0.42-1) unstable; urgency=low

  * New upstream release
  * librrd0-dev Section: libdevel
  * librrd[sp]-perl Section: perl
  * Build with libpng3 (Closes: #189493)

 -- Matt Zimmerman <mdz@debian.org>  Thu, 15 May 2003 19:44:37 -0400

rrdtool (1.0.40-2) unstable; urgency=low



=== debian/control ===
Source: rrdtool
Section: utils
Priority: optional
Maintainer: Matt Zimmerman <mdz@debian.org>
Uploaders: Matthias Urlichs <smurf@debian.org>
Standards-Version: 3.6.1
XS-Python-Version: all
Build-Depends: debhelper (>= 5.0.37.1), cgilib (>= 0.5-4.1), zlib1g-dev, libpng12-dev, libart-2.0-dev, libfreetype6-dev, groff, tcl8.4-dev, perl (>= 5.8.0), python-all-dev (>= 2.3.5-10)

Package: rrdtool
Architecture: any
Depends: ${shlibs:Depends}
Suggests: librrds-perl
Description: Time-series data storage and display system (programs)
 RRD is the Acronym for Round Robin Database. RRD is a system to store and
 display time-series data (i.e. network bandwidth, machine-room temperature,
 server load average). It stores the data in a very compact way that will
 not expand over time, and it presents useful graphs by processing the data
 to enforce a certain data density. It can be used either via simple wrapper
 scripts (from shell or Perl) or via frontends that poll network devices and
 put friendly user interface on it.
 .
 This package contains command line programs used to access and manipulate
 RRDs.

Package: librrd2
Architecture: any
Section: libs
Priority: optional
Depends: ${shlibs:Depends}, ttf-dejavu (>= 2.1-0ubuntu1)
Conflicts: rrdtool (<< 1.0.42-1), librrds-perl (<< 1.0.42-1)
Description: Time-series data storage and display system (runtime)
 RRD is the Acronym for Round Robin Database. RRD is a system to store and
 display time-series data (i.e. network bandwidth, machine-room temperature,
 server load average). It stores the data in a very compact way that will
 not expand over time, and it presents useful graphs by processing the data
 to enforce a certain data density. It can be used either via simple wrapper
 scripts (from shell or Perl) or via frontends that poll network devices and
 put friendly user interface on it.
 .
 This package contains shared libraries used to access and manipulate RRDs.

Package: librrd2-dev
Architecture: any
Section: libdevel
Depends: librrd2 (= ${Source-Version}), libpng12-dev, zlib1g-dev, libart-2.0-dev, libfreetype6-dev
Conflicts: librrd0-dev, librrd0
Replaces: librrd0
Description: Time-series data storage and display system (development)
 RRD is the Acronym for Round Robin Database. RRD is a system to store and
 display time-series data (i.e. network bandwidth, machine-room temperature,
 server load average). It stores the data in a very compact way that will
 not expand over time, and it presents useful graphs by processing the data
 to enforce a certain data density. It can be used either via simple wrapper
 scripts (from shell or Perl) or via frontends that poll network devices and
 put friendly user interface on it.
 .
 This package contains libraries used to develop software that uses RRDs.

Package: librrds-perl
Architecture: any
Section: perl
Priority: optional
Depends: ${perl:Depends}, ${shlibs:Depends}
Description: Time-series data storage and display system (perl-shared)
 RRD is the Acronym for Round Robin Database. RRD is a system to store and
 display time-series data (i.e. network bandwidth, machine-room temperature,
 server load average). It stores the data in a very compact way that will
 not expand over time, and it presents useful graphs by processing the data
 to enforce a certain data density. It can be used either via simple wrapper
 scripts (from shell or Perl) or via frontends that poll network devices and
 put friendly user interface on it.
 .
 This package contains a Perl interface to RRDs using a shared library.

Package: librrdp-perl
Architecture: all
Section: perl
Depends: ${perl:Depends}, rrdtool
Description: Time-series data storage and display system (perl-piped)
 RRD is the Acronym for Round Robin Database. RRD is a system to store and
 display time-series data (i.e. network bandwidth, machine-room temperature,
 server load average). It stores the data in a very compact way that will
 not expand over time, and it presents useful graphs by processing the data
 to enforce a certain data density. It can be used either via simple wrapper
 scripts (from shell or Perl) or via frontends that poll network devices and
 put friendly user interface on it.
 .
 This package contains a Perl interface to RRDs using command pipes.

Package: rrdtool-tcl
Architecture: any
Section: utils
Priority: optional
Depends: ${shlibs:Depends}, tcl8.4
Description: Time-series data storage and display system (tcl)
 RRD is the Acronym for Round Robin Database. RRD is a system to store and
 display time-series data (i.e. network bandwidth, machine-room temperature,
 server load average). It stores the data in a very compact way that will
 not expand over time, and it presents useful graphs by processing the data
 to enforce a certain data density. It can be used either via simple wrapper
 scripts (from shell or Perl) or via frontends that poll network devices and
 put friendly user interface on it.
 .
 This package contains a tcl interface to RRDs.

Package: python-rrd
Architecture: any
Section: python
Priority: optional
Depends: ${python:Depends}, ${shlibs:Depends}
Conflicts: python2.3-rrd, python2.4-rrd
Replaces: python2.3-rrd, python2.4-rrd
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python bindings for RRD
 RRD is the acronym for Round Robin Database. RRD is a system to store
 and display time-series data (i.e. network bandwidth, machine-room
 temperature, server load average). It stores the data in a very compact
 way that will not expand over time, and it presents useful graphs by
 processing the data to enforce a certain data density.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independant
# package.

package:=rrdtool

top_srcdir:=$(shell pwd)
tmp:=$(top_srcdir)/debian/tmp

# TCL installation stuff (must match tcl/Makefile.am)
tclconfigdir = /usr/lib/tcl8.4

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# Defaults
CFLAGS := -O2

# Handle DEB_BUILD_OPTIONS
ifneq "$(findstring debug,$(DEB_BUILD_OPTIONS))" ""
CFLAGS += -g
endif

CFLAGS += -I/usr/include/tcl8.4

PYVERS	:= $(shell pyversions -vr debian/control)
PYVER   := $(shell python -c 'import sys; print sys.version[:3]')
version	:= 1.2.11

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Make sure we can find tcl stuff (configure won't fail)
	test -f $(tclconfigdir)/tclConfig.sh

	# Configure C and Tcl stuff
	CFLAGS="$(CFLAGS)" ./configure \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--enable-shared=yes \
		--enable-static=yes \
		--with-tcllib=$(tclconfigdir) \
		--with-perl-options=INSTALLDIRS=vendor \
		--with-rrd-default-font=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSansMono.ttf

#	# Configure Perl stuff
#	cd bindings/perl-piped && \
#		rm -f Makefile && \
#		perl Makefile.PL INSTALLDIRS=vendor
#
#	cd bindings/perl-shared && \
#		rm -f Makefile && \
#		perl Makefile.PL INSTALLDIRS=vendor

	touch configure-stamp

build: build-stamp $(PYVERS:%=build-python%)
build-stamp: configure-stamp
	dh_testdir

	# Build most stuff
	$(MAKE)

#	# We now build perl-piped and perl-shared separately
#	cd perl-piped && make OPTIMIZE="$(CFLAGS)"
#	cd perl-shared && make OPTIMIZE="$(CFLAGS)"

	touch build-stamp

build-python%:
	cd bindings/python && python$* setup.py build

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	-rm doc/RRDp.pm
	-rm doc/RRDs.pm
#	-rm perl-piped/Makefile.old perl-piped/Makefile
#	-rm perl-shared/Makefile.old perl-shared/Makefile

	rm -rf bindings/python/build
	rm -f bindings/tcl/*.so
	rm -f bindings/*/Makefile.old

	rm -f debian/shlibs.local
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=$(tmp)
	chmod -R u+w debian/tmp

	mv debian/tmp/usr/share/doc/rrdtool-$(version) \
		debian/tmp/usr/share/doc/rrdtool
	mv debian/tmp/usr/share/rrdtool/examples \
		debian/tmp/usr/share/doc/rrdtool/

#	# Things installed in the wrong places
#	rm -rf $(tmp)/usr/contrib

#	# trytime should be installed as source
#	make -C contrib/trytime clean

#	# Since you have to compile this stuff from source, I consider it
#	# examples
#	for example in $(top_srcdir)/contrib/[a-z]*; do \
#		cp -R $$example $(tmp)/usr/share/doc/rrdtool/examples; \
#	done

	find $(tmp)/usr/share/doc/rrdtool/examples \
		-name CVS -o -name .cvsignore \
		| xargs --no-run-if-empty rm -rf

	# Install our trytime manpage
#	install $(top_srcdir)/debian/trytime.1 $(tmp)/usr/share/man/man1

#	# Install Perl stuff manually
#	cd perl-piped && make install PREFIX=$(tmp)/usr
#	cd perl-shared && make install PREFIX=$(tmp)/usr
#	-find $(tmp) -name ntmake.pl | xargs --no-run-if-empty rm -f

	cd bindings/python; \
	for v in $(PYVERS); do \
	  python$$v setup.py install --root $(CURDIR)/debian/python-rrd; \
	done

	dh_install

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
#	dh_installexamples -i
	dh_installchangelogs -i CHANGES
	echo 'rrdtool example files can be found in the rrdtool package' \
	  > debian/librrdp-perl/usr/share/doc/librrdp-perl/README.examples
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_perl -i
	dh_python -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a NEWS README THREADS TODO
	dh_installdocs -a -A NEWS
#	dh_installexamples -a
	echo 'rrdtool example files can be found in the rrdtool package' \
	  > debian/librrds-perl/usr/share/doc/librrds-perl/README.examples
	dh_installchangelogs -a CHANGES
ifeq "$(findstring nostrip,$(DEB_BUILD_OPTIONS))" ""
	dh_strip -a
endif
	dh_link -a
	dh_compress -a -Xexamples/
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_perl -a
	dh_python -a
	sed 's/librrd2$$/librrd2 (>= $${Source-Version})/' \
		debian/librrd2/DEBIAN/shlibs > debian/shlibs.local
	dh_shlibdeps -a -ldebian/librrd2/usr/lib
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
http://ee-staff.ethz.ch	/~oetiker/webtools/rrdtool/pub	rrdtool-(.*)\.tar\.gz	debian

## rrdtool 1.2.19

=== netware/Makefile ===
# Gnu Makefile for NetWare target * 09-Sep-2006
# for use with gcc/nlmconv or Metrowerks CodeWarrior compiler
# use with: make -f Makefile [help|all|clean|dev|devclean|dist|distclean]

DESCR	= Round Robin Database Tool $(RRD_VERSION_STR)
COPYR	= Copyright (c) 1997-2006 by Tobias Oetiker
WWWURL	= http://www.rrdtool.org/
MTSAFE	= YES
#SCREEN	= $(DESCR)
STACK	= 65535
# Comment the line below if you dont want to load protected automatically.
#LDRING	= 3

# You can set the default font used in graphs.
# If not set here RRD defaults to DejaVuSansMono-Roman.ttf
#RRD_DEFAULT_FONT = "sys:/java/nwgfx/lib/x11/fonts/ttf/tt0003m_.ttf"
#RRD_DEFAULT_FONT = "VeraMono.ttf"

# Vertical label angle: 90.0 (default) or 270.0
RRDGRAPH_YLEGEND_ANGLE = 90.0

# Set to one if you want to have piecharts.
WITH_PIECHART = 0

# Set the extension used for rrdcgi.
ifndef CGIEXT
CGIEXT	= nlm
endif

# Edit the path below to point to your Novell NDK.
ifndef NDKBASE
NDKBASE	= c:/novell
endif

# Base for the lib sources
ifndef LIBBASE
LIBBASE	= ../..
endif
# All library code is statically linked to avoid problems with other lib NLMs.
# Edit the path below to point to your libpng sources or set environment var.
ifndef LIBPNG
LIBPNG	= $(LIBBASE)/libpng-1.2.12
endif
# Edit the path below to point to your freetype sources or set environment var.
ifndef LIBFT2
LIBFT2	= $(LIBBASE)/freetype-2.2.1
endif
# Edit the path below to point to your libart sources or set environment var.
ifndef LIBART
LIBART	= $(LIBBASE)/libart_lgpl-2.3.17
endif
# Edit the path below to point to your zlib sources or set environment var.
ifndef ZLIBSDK
ZLIBSDK	= $(LIBBASE)/zlib-1.2.3
endif

# Edit the path below to point to your distribution folder.
ifndef DISTDIR
DISTDIR	= rrdtool-$(RRD_VERSION_STR)-nw
endif
DISTARC = $(DISTDIR).zip

# Edit the path below to point to your distribution folder.
ifndef DEVLDIR
DEVLDIR	= rrdtool-$(RRD_VERSION_STR)-sdk-nw
endif
DEVLARC = $(DEVLDIR).zip

# whatever...
# NO_NULL_REALLOC = 1

# Edit the var below to point to your lib architecture.
ifndef LIBARCH
# LIBARCH = CLIB
LIBARCH = LIBC
endif

# The following line defines your compiler.
ifdef METROWERKS
	CC = mwccnlm
else
	CC = gcc
endif
# RM	= rm -f
CP	= cp -afv
# if you want to mark the target as MTSAFE you will need a tool for
# generating the xdc data for the linker; here's a minimal tool:
# http://www.gknw.net/development/prgtools/mkxdc.zip
MPKXDC	= mkxdc
# CodeWarrior is too stupid to set the internal name properly when
# the extension is not a NLM and not a registered type. So we need
# to fix that after linking (since CGI isnt a known type - argh!):
# http://www.gknw.net/development/prgtools/fixnlmname.zip
FIXNLMN	= fixnlmname #-q
# Here you can find a native Win32 binary of the original awk:
# http://www.gknw.net/development/prgtools/awk.zip
AWK	= awk
ZIP	= zip -qzR9
MV	= mv -fv

# must be equal to DEBUG or NDEBUG
DB	= NDEBUG
# DB	= DEBUG
# Optimization: -O<n> or debugging: -g
ifeq ($(DB),NDEBUG)
	OPT	= -O2
	OBJDIR	= release
else
	OPT	= -g
	OBJDIR	= debug
endif

# Project root
PROOT	= ..

# Include the version info retrieved from source.
-include $(OBJDIR)/version.inc

# Global flags for all compilers
CFLAGS	= $(OPT) -D$(DB) -nostdinc -DNETWARE -DN_PLAT_NLM -D_POSIX_SOURCE
CFLAGS	+= -DHAVE_CONFIG_H

ifeq ($(CC),mwccnlm)
LD	= mwldnlm
LDFLAGS	= -nostdlib $^ $(PRELUDE) $(LDLIBS) -o $@ -commandfile
AR	= $(LD)
ARFLAGS	= -type library -w nocmdline $(OBJS) -o
LIBEXT	= lib
CFLAGS	+= -gccinc -inline off -opt nointrinsics -proc 586
CFLAGS	+= -relax_pointers
#CFLAGS	+= -w on,nounused,nounusedexpr # -ansi strict
ifeq ($(LIBARCH),LIBC)
	PRELUDE = $(SDK_LIBC)/imports/libcpre.o
	CFLAGS += -align 4
else
	PRELUDE = "$(METROWERKS)/Novell Support/libraries/runtime/prelude.obj"
	CFLAGS += -include "$(METROWERKS)/Novell Support/headers/nlm_prefix.h"
	CFLAGS += -align 1
endif
else
LD	= nlmconv
LDFLAGS	= -T
AR	= ar
ARFLAGS	= -cq
LIBEXT	= a
CFLAGS	+= -fno-builtin -fpack-struct -fpcc-struct-return -fno-strict-aliasing
CFLAGS	+= -Wall -Wno-unused -Wno-return-type # -pedantic
ifeq ($(LIBARCH),LIBC)
	PRELUDE = $(SDK_LIBC)/imports/libcpre.gcc.o
else
	PRELUDE = $(NDK_ROOT)/pre/prelude.o
	CFLAGS += -include $(NDKBASE)/nlmconv/genlm.h
endif
endif

ifeq ($(findstring linux,$(OSTYPE)),linux)
#include $(NDKBASE)/nlmconv/ncpfs.inc
DL	= '
DS	= /
else
DS	= \\
endif

ifeq ($(MTSAFE),YES)
	XDCOPT = -n
endif
ifeq ($(MTSAFE),NO)
	XDCOPT = -u
endif
ifndef COPYR
	COPYR = Copyright (c) 2006 The Open Source Community.
endif
ifndef DESCR
	DESCR = $(notdir $(@:.def=)) Command Extension
endif
DESCR += ($(LIBARCH)) - $(CC) build

NDK_ROOT = $(NDKBASE)/ndk
SDK_CLIB = $(NDK_ROOT)/nwsdk
SDK_LIBC = $(NDK_ROOT)/libc

INCLUDES += -I$(PROOT) -I$(PROOT)/src -I$(LIBPNG) -I$(LIBFT2)/include -I$(LIBART) -I$(ZLIBSDK)

ifeq ($(LIBARCH),LIBC)
	INCLUDES += -I$(SDK_LIBC)/include -I$(SDK_LIBC)/include/nks
else
	INCLUDES += -I$(SDK_CLIB)/include/nlm -I$(SDK_CLIB)/include
endif

CFLAGS += $(INCLUDES)

vpath %.c $(PROOT)/src $(LIBPNG) $(LIBART)/libart_lgpl $(ZLIBSDK)

RRDLIBOBJS	= \
	$(OBJDIR)/rrd_afm.o \
	$(OBJDIR)/rrd_afm_data.o \
	$(OBJDIR)/rrd_create.o \
	$(OBJDIR)/rrd_diff.o \
	$(OBJDIR)/rrd_dump.o \
	$(OBJDIR)/rrd_error.o \
	$(OBJDIR)/rrd_fetch.o \
	$(OBJDIR)/rrd_first.o \
	$(OBJDIR)/rrd_format.o \
	$(OBJDIR)/rrd_gfx.o \
	$(OBJDIR)/rrd_graph.o \
	$(OBJDIR)/rrd_graph_helper.o \
	$(OBJDIR)/rrd_hw.o \
	$(OBJDIR)/rrd_info.o \
	$(OBJDIR)/rrd_last.o \
	$(OBJDIR)/rrd_lastupdate.o \
	$(OBJDIR)/rrd_nan_inf.o \
	$(OBJDIR)/rrd_open.o \
	$(OBJDIR)/rrd_resize.o \
	$(OBJDIR)/rrd_restore.o \
	$(OBJDIR)/rrd_rpncalc.o \
	$(OBJDIR)/rrd_tune.o \
	$(OBJDIR)/rrd_update.o \
	$(OBJDIR)/rrd_version.o \
	$(OBJDIR)/rrd_xport.o \
	$(OBJDIR)/rrd_thread_safe.o \
	$(EOLIST)

XLIBOBJS	= \
	$(OBJDIR)/art_rgba_svp.o \
	$(OBJDIR)/getopt.o \
	$(OBJDIR)/getopt1.o \
	$(OBJDIR)/hash_32.o \
	$(OBJDIR)/parsetime.o \
	$(OBJDIR)/pngsize.o \
	$(EOLIST)

PNGLIBOBJS	= \
	$(OBJDIR)/png.o \
	$(OBJDIR)/pngerror.o \
	$(OBJDIR)/pngget.o \
	$(OBJDIR)/pngmem.o \
	$(OBJDIR)/pngpread.o \
	$(OBJDIR)/pngread.o \
	$(OBJDIR)/pngrio.o \
	$(OBJDIR)/pngrtran.o \
	$(OBJDIR)/pngrutil.o \
	$(OBJDIR)/pngset.o \
	$(OBJDIR)/pngtrans.o \
	$(OBJDIR)/pngwio.o \
	$(OBJDIR)/pngwrite.o \
	$(OBJDIR)/pngwtran.o \
	$(OBJDIR)/pngwutil.o \
	$(EOLIST)
ifeq "$(wildcard $(LIBPNG)/pnggccrd.c)" "$(LIBPNG)/pnggccrd.c"
PNGLIBOBJS	+= \
	$(OBJDIR)/pnggccrd.o \
	$(OBJDIR)/pngvcrd.o \
	$(EOLIST)
endif

ZLIBOBJS	= \
	$(OBJDIR)/adler32.o \
	$(OBJDIR)/compress.o \
	$(OBJDIR)/crc32.o \
	$(OBJDIR)/deflate.o \
	$(OBJDIR)/inflate.o \
	$(OBJDIR)/inffast.o \
	$(OBJDIR)/inftrees.o \
	$(OBJDIR)/trees.o \
	$(OBJDIR)/zutil.o \
	$(EOLIST)
ifeq "$(wildcard $(ZLIBSDK)/infblock.c)" "$(ZLIBSDK)/infblock.c"
ZLIBOBJS	+= \
	$(OBJDIR)/infblock.o \
	$(OBJDIR)/infcodes.o \
	$(OBJDIR)/infutil.o \
	$(EOLIST)
endif

ARTLIBOBJS	= \
	$(patsubst $(LIBART)/libart_lgpl/%.c,$(OBJDIR)/%.o,$(wildcard $(LIBART)/libart_lgpl/art_*.c))

OBJS	:= $(RRDLIBOBJS) $(XLIBOBJS) $(PNGLIBOBJS) $(ARTLIBOBJS) $(ZLIBOBJS)
OBJCGI	:= $(OBJS) $(OBJDIR)/rrd_cgi.o
OBJTOOL	:= $(OBJS) $(OBJDIR)/rrd_tool.o

LDLIBS	+= $(LIBFT2)/builds/netware/libc/libft2.$(LIBEXT)


all: rrdtool rrdcgi

rrdtool: $(OBJDIR) $(PROOT)/rrd_config.h $(OBJDIR)/rrdtool.nlm
rrdcgi: $(OBJDIR) $(PROOT)/rrd_config.h $(OBJDIR)/rrdcgi.$(CGIEXT)
librrd: $(OBJDIR) $(PROOT)/rrd_config.h $(OBJDIR)/librrd.$(LIBEXT)

dist: all $(DISTDIR) $(DISTDIR)/readme.txt
#	@-$(CP) $(OBJDIR)/librrd.$(LIBEXT) $(DISTDIR)
	@-$(CP) $(OBJDIR)/rrdcgi.$(CGIEXT) $(DISTDIR)
	@-$(CP) $(OBJDIR)/rrdtool.nlm $(DISTDIR)
	@-$(CP) $(PROOT)/src/*.ttf $(DISTDIR)
	@-$(CP) $(PROOT)/CHANGES $(DISTDIR)
	@-$(CP) $(PROOT)/COPYING $(DISTDIR)
	@-$(CP) $(PROOT)/COPYRIGHT $(DISTDIR)
	@-$(CP) $(PROOT)/NEWS $(DISTDIR)
	@-$(CP) $(PROOT)/README $(DISTDIR)
	@echo Creating $(DISTARC)
	@$(ZIP) $(DISTARC) $(DISTDIR)/* < $(DISTDIR)/readme.txt

dev: librrd $(DEVLDIR) $(DEVLDIR)/readme.txt
	@-mkdir $(DEVLDIR)$(DS)include
	@-mkdir $(DEVLDIR)$(DS)lib
	@-mkdir $(DEVLDIR)$(DS)src
	@-$(CP) $(OBJDIR)/librrd.$(LIBEXT) $(DEVLDIR)/lib
	@-$(CP) $(PROOT)/rrd_config.h $(DEVLDIR)/include
	@-$(CP) $(PROOT)/src/rrd.h $(DEVLDIR)/include
	@-$(CP) $(PROOT)/src/*.ttf $(DEVLDIR)/src
	@-$(CP) $(PROOT)/CHANGES $(DEVLDIR)
	@-$(CP) $(PROOT)/COPYING $(DEVLDIR)
	@-$(CP) $(PROOT)/COPYRIGHT $(DEVLDIR)
	@-$(CP) $(PROOT)/NEWS $(DEVLDIR)
	@-$(CP) $(PROOT)/README $(DEVLDIR)
	@echo Creating $(DEVLARC)
	@$(ZIP) $(DEVLARC) $(DEVLDIR)/* < $(DEVLDIR)/readme.txt

clean:
	-$(RM) -r $(OBJDIR)
	-$(RM) $(PROOT)/rrd_config.h

distclean: clean
	-$(RM) -r $(DISTDIR)
	-$(RM) $(DISTARC)

devclean: clean
	-$(RM) -r $(DEVLDIR)
	-$(RM) $(DEVLARC)

$(OBJDIR):
	@mkdir $@

$(DISTDIR):
	@mkdir $@

$(DEVLDIR):
	@mkdir $@

$(OBJDIR)/version.inc: $(PROOT)/configure.ac $(OBJDIR) $(PROOT)/src/get_ver.awk
	@echo Creating $@
	@$(AWK) -f $(PROOT)/src/get_ver.awk $< > $@

$(OBJDIR)/%.o: %.c
	@echo Compiling $<
	@$(CC) $(CFLAGS) -c $< -o $@

$(OBJDIR)/rrdcgi.$(CGIEXT): $(OBJCGI) $(OBJDIR)/rrdcgi.def $(OBJDIR)/rrdcgi.xdc
	@echo Linking $@
	@-$(RM) $@
	@$(LD) $(LDFLAGS) $(@:.$(CGIEXT)=.def)
ifeq ($(LD),nlmconv)
	@$(MV) $(notdir $@) $@
endif
ifneq ($(CGIEXT),nlm)
ifeq ($(LD),mwldnlm)
	@$(FIXNLMN) $@
endif
endif

$(OBJDIR)/rrdtool.nlm: $(OBJTOOL) $(OBJDIR)/rrdtool.def $(OBJDIR)/rrdtool.xdc
	@echo Linking $@
	@-$(RM) $@
	@$(LD) $(LDFLAGS) $(@:.nlm=.def)
ifeq ($(LD),nlmconv)
	@$(MV) $(notdir $@) $@
endif

$(OBJDIR)/librrd.$(LIBEXT): $(OBJS)
	@echo Creating $@
	@-$(RM) $@
	@$(AR) $(ARFLAGS) $@ $^

$(OBJDIR)/%.xdc: Makefile
	@echo Creating $@
	@$(MPKXDC) $(XDCOPT) $@

$(OBJDIR)/%.def: Makefile $(OBJDIR)/version.inc
	@echo $(DL)# DEF Linker File for use with gcc and nlmconv$(DL) > $@
	@echo $(DL)# or with Codewarrior command line compiler.$(DL) >> $@
	@echo $(DL)# Do not edit this file - it is created by make!$(DL) >> $@
	@echo $(DL)# All your changes will be lost!!$(DL) >> $@
	@echo $(DL)#$(DL) >> $@
	@echo $(DL)copyright "$(COPYR)"$(DL) >> $@
	@echo $(DL)description "$(DESCR)"$(DL) >> $@
	@echo $(DL)version $(RRD_VERSION)$(DL) >> $@
ifdef NLMTYPE
	@echo $(DL)type $(NLMTYPE)$(DL) >> $@
else
	@echo $(DL)type 0$(DL) >> $@
endif
ifdef STACK
	@echo $(DL)stack $(STACK)$(DL) >> $@
endif
	@echo $(DL)threadname "$(notdir $(@:.def=))"$(DL) >> $@
ifdef SCREEN
	@echo $(DL)screenname "$(SCREEN)"$(DL) >> $@
else
	@echo $(DL)screenname "DEFAULT"$(DL) >> $@
endif
ifeq ($(DB),DEBUG)
	@echo $(DL)debug$(DL) >> $@
endif
ifeq ($(LIBARCH),CLIB)
	@echo $(DL)start _Prelude$(DL) >> $@
	@echo $(DL)exit _Stop$(DL) >> $@
	@echo $(DL)import @$(NDK_ROOT)/nwsdk/imports/clib.imp$(DL) >> $@
	@echo $(DL)import @$(NDK_ROOT)/nwsdk/imports/threads.imp$(DL) >> $@
	@echo $(DL)import @$(NDK_ROOT)/nwsdk/imports/nlmlib.imp$(DL) >> $@
	@echo $(DL)module clib$(DL) >> $@
else
	@echo $(DL)start _LibCPrelude$(DL) >> $@
	@echo $(DL)exit _LibCPostlude$(DL) >> $@
	@echo $(DL)check _LibCCheckUnload$(DL) >> $@
	@echo $(DL)import @$(NDK_ROOT)/libc/imports/libc.imp$(DL) >> $@
	@echo $(DL)import @$(NDK_ROOT)/libc/imports/netware.imp$(DL) >> $@
	@echo $(DL)module libc$(DL) >> $@
	@echo $(DL)pseudopreemption$(DL) >> $@
	@echo $(DL)flag_on 64$(DL) >> $@
endif
ifeq ($(LDRING),0)
	@echo $(DL)flag_on 16$(DL) >> $@
endif
ifeq ($(LDRING),3)
	@echo $(DL)flag_on 512$(DL) >> $@
endif
ifdef XDCOPT
	@echo $(DL)xdcdata $(@:.def=.xdc)$(DL) >> $@
endif
ifeq ($(LD),nlmconv)
	@echo $(DL)input $(OBJS) $(LDLIBS)$(DL) >> $@
	@echo $(DL)input $(PRELUDE)$(DL) >> $@
	@echo $(DL)output $(notdir $(@:.def=.nlm))$(DL) >> $@
endif

$(PROOT)/rrd_config.h: Makefile
	@echo Creating $@
	@echo $(DL)/* $(notdir $@) for NetWare target.$(DL) > $@
	@echo $(DL)** Do not edit this file - it is created by make!$(DL) >> $@
	@echo $(DL)** All your changes will be lost!!$(DL) >> $@
	@echo $(DL)*/$(DL) >> $@
	@echo $(DL)#ifndef NETWARE$(DL) >> $@
	@echo $(DL)#error This $(notdir $@) is created for NetWare platform!$(DL) >> $@
	@echo $(DL)#endif$(DL) >> $@
	@echo $(DL)#ifndef RRD_CONFIG_H$(DL) >> $@
	@echo $(DL)#define RRD_CONFIG_H$(DL) >> $@
	@echo $(DL)#define OS "i586-pc-NetWare"$(DL) >> $@

=== win32/Makefile ===
# Gnu Makefile for Win32 target * 09-Sep-2006
# for use with MingW32 gcc or Metrowerks CodeWarrior compiler
# use with: make -f Makefile [help|all|clean|dev|devclean|dist|distclean]

DESCR	= Round Robin Database Tool
COPYR	= Copyright (c) 1997-2006 by Tobias Oetiker
WWWURL	= http://www.rrdtool.org/
ICON	= $(PROOT)/favicon.ico

# You can set the default font used in graphs.
# If not set here RRD defaults to DejaVuSansMono-Roman.ttf
#RRD_DEFAULT_FONT = "arial.ttf"
#RRD_DEFAULT_FONT = "VeraMono.ttf"

# Vertical label angle: 90.0 (default) or 270.0
RRDGRAPH_YLEGEND_ANGLE = 90.0

# Set to one if you want to have piecharts.
WITH_PIECHART = 0

# Set the extension used for rrdcgi.
ifndef CGIEXT
CGIEXT	= exe
endif

# Base for the lib sources
ifndef LIBBASE
LIBBASE	= ../..
endif
# All library code is statically linked to avoid problems with other lib DLLs.
# Edit the path below to point to your libpng sources or set environment var.
ifndef LIBPNG
LIBPNG	= $(LIBBASE)/libpng-1.2.12
endif
# Edit the path below to point to your freetype sources or set environment var.
ifndef LIBFT2
#LIBFT2	= $(LIBBASE)/freetype-2.2.1
LIBFT2	= $(LIBBASE)/../mingw32/freetype-2.2.1
endif
# Edit the path below to point to your libart sources or set environment var.
ifndef LIBART
LIBART	= $(LIBBASE)/libart_lgpl-2.3.17
endif
# Edit the path below to point to your zlib sources or set environment var.
ifndef ZLIBSDK
ZLIBSDK	= $(LIBBASE)/zlib-1.2.3
endif

# Edit the path below to point to your distribution folder.
ifndef DISTDIR
DISTDIR	= rrdtool-$(RRD_VERSION_STR)-w32
endif
DISTARC = $(DISTDIR).zip

# Edit the path below to point to your distribution folder.
ifndef DEVLDIR
DEVLDIR	= rrdtool-$(RRD_VERSION_STR)-sdk-w32
endif
DEVLARC = $(DEVLDIR).zip

# whatever...
NO_NULL_REALLOC = 1

# The following line defines your compiler.
ifdef METROWERKS
	CC = mwcc
else
	CC = gcc
endif
# RM	= rm -f
CP	= cp -afv
# Here you can find a native Win32 binary of the original awk:
# http://www.gknw.net/development/prgtools/awk.zip
AWK	= awk
ZIP	= zip -qzR9

# must be equal to DEBUG or NDEBUG
DB	= NDEBUG
# DB	= DEBUG
# Optimization: -O<n> or debugging: -g
ifeq ($(DB),NDEBUG)
	OPT	= -O2
	OBJDIR	= release
else
	OPT	= -g
	OBJDIR	= debug
endif

# Project root
PROOT	= ..

# Include the version info retrieved from source.
-include $(OBJDIR)/version.inc

# Global flags for all compilers
CFLAGS	= $(OPT) -D$(DB) -DHAVE_CONFIG_H

ifeq ($(CC),mwcc)
LD	= mwld
RC	= mwwinrc
LDFLAGS	= -nostdlib
AR	= $(LD)
ARFLAGS	= -type library -w nocmdline $(OBJS) -o
LIBEXT	= lib
LIBPATH	+= -lr "$(METROWERKS)/MSL" -lr "$(METROWERKS)/Win32-x86 Support"
LDLIBS	+= -lkernel32.lib -luser32.lib
LDLIBS	+= -lMSL_Runtime_x86.lib -lMSL_C_x86.lib -lMSL_Extras_x86.lib
RCFLAGS	=
CFLAGS	+= -nostdinc -gccinc -msgstyle gcc -inline off -opt nointrinsics -proc 586
CFLAGS	+= -ir "$(METROWERKS)/MSL" -ir "$(METROWERKS)/Win32-x86 Support"
CFLAGS	+= -w on,nounused,nounusedexpr # -ansi strict
else
LD	= gcc
RC	= windres
LDFLAGS	= -s
AR	= ar
ARFLAGS	= -cq
LIBEXT	= a
RCFLAGS	= -I rc -O coff -i
CFLAGS	+= -fno-strict-aliasing -Wall -Wno-unused # -pedantic
endif

DS	= \\

ifndef COPYR
	COPYR = Copyright (c) 2006 The Open Source Community.
endif
ifndef DESCR
	DESCR = $(notdir $(@:.rc=)) Command Extension
endif
DESCR += - $(CC) build

INCLUDES += -I$(PROOT) -I$(PROOT)/src -I$(LIBPNG) -I$(LIBFT2)/include -I$(LIBART) -I$(ZLIBSDK)

CFLAGS += $(INCLUDES)

vpath %.c $(PROOT)/src $(LIBPNG) $(LIBART)/libart_lgpl $(ZLIBSDK)

RRDLIBOBJS	= \
	$(OBJDIR)/rrd_afm.o \
	$(OBJDIR)/rrd_afm_data.o \
	$(OBJDIR)/rrd_create.o \
	$(OBJDIR)/rrd_diff.o \
	$(OBJDIR)/rrd_dump.o \
	$(OBJDIR)/rrd_error.o \
	$(OBJDIR)/rrd_fetch.o \
	$(OBJDIR)/rrd_first.o \
	$(OBJDIR)/rrd_format.o \
	$(OBJDIR)/rrd_gfx.o \
	$(OBJDIR)/rrd_graph.o \
	$(OBJDIR)/rrd_graph_helper.o \
	$(OBJDIR)/rrd_hw.o \
	$(OBJDIR)/rrd_info.o \
	$(OBJDIR)/rrd_last.o \
	$(OBJDIR)/rrd_lastupdate.o \
	$(OBJDIR)/rrd_nan_inf.o \
	$(OBJDIR)/rrd_open.o \
	$(OBJDIR)/rrd_resize.o \
	$(OBJDIR)/rrd_restore.o \
	$(OBJDIR)/rrd_rpncalc.o \
	$(OBJDIR)/rrd_tune.o \
	$(OBJDIR)/rrd_update.o \
	$(OBJDIR)/rrd_version.o \
	$(OBJDIR)/rrd_xport.o \
	$(OBJDIR)/rrd_thread_safe_nt.o \
	$(EOLIST)

XLIBOBJS	= \
	$(OBJDIR)/art_rgba_svp.o \
	$(OBJDIR)/getopt.o \
	$(OBJDIR)/getopt1.o \
	$(OBJDIR)/hash_32.o \
	$(OBJDIR)/parsetime.o \
	$(OBJDIR)/pngsize.o \
	$(OBJDIR)/strftime.o \
	$(EOLIST)

PNGLIBOBJS	= \
	$(OBJDIR)/png.o \
	$(OBJDIR)/pngerror.o \
	$(OBJDIR)/pngget.o \
	$(OBJDIR)/pngmem.o \
	$(OBJDIR)/pngpread.o \
	$(OBJDIR)/pngread.o \
	$(OBJDIR)/pngrio.o \
	$(OBJDIR)/pngrtran.o \
	$(OBJDIR)/pngrutil.o \
	$(OBJDIR)/pngset.o \
	$(OBJDIR)/pngtrans.o \
	$(OBJDIR)/pngwio.o \
	$(OBJDIR)/pngwrite.o \
	$(OBJDIR)/pngwtran.o \
	$(OBJDIR)/pngwutil.o \
	$(EOLIST)
ifeq "$(wildcard $(LIBPNG)/pnggccrd.c)" "$(LIBPNG)/pnggccrd.c"
PNGLIBOBJS	+= \
	$(OBJDIR)/pnggccrd.o \
	$(OBJDIR)/pngvcrd.o \
	$(EOLIST)
endif

ZLIBOBJS	= \
	$(OBJDIR)/adler32.o \
	$(OBJDIR)/compress.o \
	$(OBJDIR)/crc32.o \
	$(OBJDIR)/deflate.o \
	$(OBJDIR)/inflate.o \
	$(OBJDIR)/inffast.o \
	$(OBJDIR)/inftrees.o \
	$(OBJDIR)/trees.o \
	$(OBJDIR)/zutil.o \
	$(EOLIST)
ifeq "$(wildcard $(ZLIBSDK)/infblock.c)" "$(ZLIBSDK)/infblock.c"
ZLIBOBJS	+= \
	$(OBJDIR)/infblock.o \
	$(OBJDIR)/infcodes.o \
	$(OBJDIR)/infutil.o \
	$(EOLIST)
endif

ARTLIBOBJS	= \
	$(patsubst $(LIBART)/libart_lgpl/%.c,$(OBJDIR)/%.o,$(wildcard $(LIBART)/libart_lgpl/art_*.c))

OBJS	:= $(RRDLIBOBJS) $(XLIBOBJS) $(PNGLIBOBJS) $(ARTLIBOBJS) $(ZLIBOBJS)
OBJCGI	:= $(OBJS) $(OBJDIR)/rrd_cgi.o
OBJTOOL	:= $(OBJS) $(OBJDIR)/rrd_tool.o

LDLIBS	+= $(LIBFT2)/objs/freetype.$(LIBEXT)


all: rrdtool rrdcgi

rrdtool: $(OBJDIR) $(PROOT)/rrd_config.h $(OBJDIR)/rrdtool.exe
rrdcgi: $(OBJDIR) $(PROOT)/rrd_config.h $(OBJDIR)/rrdcgi.$(CGIEXT)
librrd: $(OBJDIR) $(PROOT)/rrd_config.h $(OBJDIR)/librrd.$(LIBEXT)

dist: all $(DISTDIR) $(DISTDIR)/readme.txt
#	@-$(CP) $(OBJDIR)/librrd.$(LIBEXT) $(DISTDIR)
	@-$(CP) $(OBJDIR)/rrdcgi.$(CGIEXT) $(DISTDIR)
	@-$(CP) $(OBJDIR)/rrdtool.exe $(DISTDIR)
	@-$(CP) $(PROOT)/src/*.ttf $(DISTDIR)
	@-$(CP) $(PROOT)/CHANGES $(DISTDIR)
	@-$(CP) $(PROOT)/COPYING $(DISTDIR)
	@-$(CP) $(PROOT)/COPYRIGHT $(DISTDIR)
	@-$(CP) $(PROOT)/NEWS $(DISTDIR)
	@-$(CP) $(PROOT)/README $(DISTDIR)
	@echo Creating $(DISTARC)
	@$(ZIP) $(DISTARC) $(DISTDIR)/* < $(DISTDIR)/readme.txt

dev: librrd $(DEVLDIR) $(DEVLDIR)/readme.txt
	@-mkdir $(DEVLDIR)$(DS)include
	@-mkdir $(DEVLDIR)$(DS)lib
	@-mkdir $(DEVLDIR)$(DS)src
	@-$(CP) $(OBJDIR)/librrd.$(LIBEXT) $(DEVLDIR)/lib
	@-$(CP) $(PROOT)/rrd_config.h $(DEVLDIR)/include
	@-$(CP) $(PROOT)/src/rrd.h $(DEVLDIR)/include
	@-$(CP) $(PROOT)/src/*.ttf $(DEVLDIR)/src
	@-$(CP) $(PROOT)/CHANGES $(DEVLDIR)
	@-$(CP) $(PROOT)/COPYING $(DEVLDIR)
	@-$(CP) $(PROOT)/COPYRIGHT $(DEVLDIR)
	@-$(CP) $(PROOT)/NEWS $(DEVLDIR)
	@-$(CP) $(PROOT)/README $(DEVLDIR)
	@echo Creating $(DEVLARC)
	@$(ZIP) $(DEVLARC) $(DEVLDIR)/* < $(DEVLDIR)/readme.txt

clean:
	-$(RM) -r $(OBJDIR)
	-$(RM) $(PROOT)/rrd_config.h

distclean: clean
	-$(RM) -r $(DISTDIR)
	-$(RM) $(DISTARC)

devclean: clean
	-$(RM) -r $(DEVLDIR)
	-$(RM) $(DEVLARC)

$(OBJDIR):
	@mkdir $@

$(DISTDIR):
	@mkdir $@

$(DEVLDIR):
	@mkdir $@

$(OBJDIR)/version.inc: $(PROOT)/configure.ac $(OBJDIR) $(PROOT)/src/get_ver.awk
	@echo Creating $@
	@$(AWK) -f $(PROOT)/src/get_ver.awk $< > $@

$(OBJDIR)/%.o: %.c
	@echo Compiling $<
	@$(CC) $(CFLAGS) -c $< -o $@

$(OBJDIR)/rrdcgi.$(CGIEXT): $(OBJCGI) $(OBJDIR)/rrdcgi.res
	@echo Linking $@
	@-$(RM) $@
	@$(LD) $(LDFLAGS) $^ -o $@ $(LIBPATH) $(LDLIBS)

$(OBJDIR)/rrdtool.exe: $(OBJTOOL) $(OBJDIR)/rrdtool.res
	@echo Linking $@
	@-$(RM) $@
	@$(LD) $(LDFLAGS) $^ -o $@ $(LIBPATH) $(LDLIBS)

$(OBJDIR)/librrd.$(LIBEXT): $(OBJS)
	@echo Creating $@
	@-$(RM) $@
	@$(AR) $(ARFLAGS) $@ $^

$(OBJDIR)/%.res: $(OBJDIR)/%.rc
	@echo Creating $@
	@$(RC) $(RCFLAGS) $< -o $@

$(OBJDIR)/%.rc: Makefile $(OBJDIR)/version.inc
	@echo 1 VERSIONINFO > $@
	@echo  FILEVERSION $(RRD_VERSION),0 >> $@
	@echo  PRODUCTVERSION $(RRD_VERSION),0 >> $@
	@echo  FILEFLAGSMASK 0x3fL >> $@
	@echo  FILEOS 0x40004L >> $@
	@echo  FILEFLAGS 0x0L >> $@
	@echo  FILETYPE 0x1L >> $@
	@echo  FILESUBTYPE 0x0L >> $@
	@echo BEGIN >> $@
	@echo   BLOCK "StringFileInfo" >> $@
	@echo   BEGIN >> $@
	@echo     BLOCK "040904E4" >> $@
	@echo     BEGIN >> $@
	@echo       VALUE "LegalCopyright","$(COPYR)\0" >> $@
ifdef COMPANY
	@echo       VALUE "CompanyName","$(COMPANY)\0" >> $@
endif
	@echo       VALUE "ProductName","$(notdir $(@:.rc=.exe))\0" >> $@
	@echo       VALUE "ProductVersion","$(RRD_VERSION_STR)\0" >> $@
	@echo       VALUE "License","Released under GPL.\0" >> $@
	@echo       VALUE "FileDescription","$(DESCR)\0" >> $@
	@echo       VALUE "FileVersion","$(RRD_VERSION_STR)\0" >> $@
	@echo       VALUE "InternalName","$(notdir $(@:.rc=))\0" >> $@
	@echo       VALUE "OriginalFilename","$(notdir $(@:.rc=.exe))\0" >> $@
	@echo       VALUE "WWW","$(WWWURL)\0" >> $@
	@echo     END >> $@
	@echo   END >> $@
	@echo   BLOCK "VarFileInfo" >> $@
	@echo   BEGIN >> $@
	@echo     VALUE "Translation", 0x409, 1252 >> $@
	@echo   END >> $@
	@echo END >> $@
ifdef ICON
	@echo 10 ICON DISCARDABLE "$(ICON)" >> $@
endif

$(PROOT)/rrd_config.h: Makefile $(OBJDIR)/version.inc
	@echo Creating $@
	@echo $(DL)/* $(notdir $@) for Win32 target.$(DL) > $@
	@echo $(DL)** Do not edit this file - it is created by make!$(DL) >> $@
	@echo $(DL)** All your changes will be lost!!$(DL) >> $@
	@echo $(DL)*/$(DL) >> $@
	@echo $(DL)#ifndef WIN32$(DL) >> $@
	@echo $(DL)#error This $(notdir $@) is created for Win32 platform!$(DL) >> $@
	@echo $(DL)#endif$(DL) >> $@
	@echo $(DL)#ifndef RRD_CONFIG_H$(DL) >> $@
	@echo $(DL)#define RRD_CONFIG_H$(DL) >> $@
	@echo $(DL)#define OS "i586-pc-Win32"$(DL) >> $@
	@echo $(DL)#define PACKAGE_VERSION "$(RRD_VERSION_STR)"$(DL) >> $@
	@echo $(DL)#define PACKAGE_BUGREPORT "tobi@oetiker.ch"$(DL) >> $@
	@echo $(DL)#define NUMVERS $(RRD_NUMVERS)$(DL) >> $@
	@echo $(DL)#define HAVE_ASSERT_H 1$(DL) >> $@
	@echo $(DL)#define HAVE_DLFCN_H 1$(DL) >> $@
	@echo $(DL)#define HAVE_DLOPEN 1$(DL) >> $@
	@echo $(DL)#define HAVE_ERR_H 1$(DL) >> $@
	@echo $(DL)#define HAVE_ERRNO_H 1$(DL) >> $@
	@echo $(DL)#define HAVE_FCNTL_H 1$(DL) >> $@
	@echo $(DL)#define HAVE_FIONBIO 1$(DL) >> $@
#	@echo $(DL)#define HAVE_GETTIMEOFDAY 1$(DL) >> $@
	@echo $(DL)#define HAVE_INTTYPES_H 1$(DL) >> $@
	@echo $(DL)#define HAVE_LIMITS_H 1$(DL) >> $@
	@echo $(DL)#define HAVE_LONGLONG 1$(DL) >> $@
	@echo $(DL)#define HAVE_LOCALE_H 1$(DL) >> $@
	@echo $(DL)#define HAVE_MALLOC_H 1$(DL) >> $@
	@echo $(DL)#define HAVE_MATH_H 1$(DL) >> $@
	@echo $(DL)#define HAVE_MBSTOWCS 1$(DL) >> $@
	@echo $(DL)#define HAVE_SELECT 1$(DL) >> $@
	@echo $(DL)#define HAVE_SETJMP_H 1$(DL) >> $@
#	@echo $(DL)#define HAVE_SIGNAL 1$(DL) >> $@
	@echo $(DL)#define HAVE_SNPRINTF 1$(DL) >> $@
	@echo $(DL)#define HAVE_STDARG_H 1$(DL) >> $@
	@echo $(DL)#define HAVE_STDDEF_H 1$(DL) >> $@
	@echo $(DL)#define HAVE_STDINT_H 1$(DL) >> $@
	@echo $(DL)#define HAVE_STDLIB_H 1$(DL) >> $@
	@echo $(DL)#define HAVE_STRCASECMP 1$(DL) >> $@
	@echo $(DL)#define HAVE_STRDUP 1$(DL) >> $@
	@echo $(DL)#define HAVE_STRFTIME 1$(DL) >> $@
	@echo $(DL)#define HAVE_STRING_H 1$(DL) >> $@
	@echo $(DL)#define HAVE_STRLCAT 1$(DL) >> $@
	@echo $(DL)#define HAVE_STRLCPY 1$(DL) >> $@
	@echo $(DL)#define HAVE_STRSTR 1$(DL) >> $@
#	@echo $(DL)#define HAVE_SYS_PARAM_H 1$(DL) >> $@
	@echo $(DL)#define HAVE_SYS_SELECT_H 1$(DL) >> $@
	@echo $(DL)#define HAVE_SYS_STAT_H 1$(DL) >> $@
	@echo $(DL)#define HAVE_SYS_TIME_H 1$(DL) >> $@
	@echo $(DL)#define HAVE_TIME_H 1$(DL) >> $@
	@echo $(DL)#define HAVE_UNAME 1$(DL) >> $@
	@echo $(DL)#define HAVE_VSNPRINTF 1$(DL) >> $@
	@echo $(DL)#define STDC_HEADERS 1$(DL) >> $@
	@echo $(DL)#define TIME_WITH_SYS_TIME 1$(DL) >> $@
	@echo $(DL)#define HAVE_ZLIB_H 1$(DL) >> $@
	@echo $(DL)#define HAVE_LIBZ 1$(DL) >> $@
ifdef NO_NULL_REALLOC
	@echo $(DL)#define NO_NULL_REALLOC 1$(DL) >> $@
	@echo $(DL)#define rrd_realloc(a,b) ( (a) == NULL ? malloc( (b) ) : realloc( (a) , (b) ))$(DL) >> $@
else
